Package org.apache.sysds.runtime.compress.colgroup.offset

## Enum OffsetFactory.OFF_TYPE

- java.lang.Object
- - java.lang.Enum<OffsetFactory.OFF_TYPE>
  - - org.apache.sysds.runtime.compress.colgroup.offset.OffsetFactory.OFF_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<OffsetFactory.OFF_TYPE>`

Enclosing class:
  OffsetFactory

    public static enum OffsetFactory.OFF_TYPE
    extends Enum<OffsetFactory.OFF_TYPE>

The specific underlying types of offsets.

### Enum Constant Summary

Enum Constants
`BYTE`
`CHAR`

### Method Summary

All Methods Static Methods Concrete Methods
`static OffsetFactory.OFF_TYPE` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OffsetFactory.OFF_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BYTE

    public static final OffsetFactory.OFF_TYPE BYTE

#### CHAR

    public static final OffsetFactory.OFF_TYPE CHAR

### Method Detail

#### values

    public static OffsetFactory.OFF_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OffsetFactory.OFF_TYPE c : OffsetFactory.OFF_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OffsetFactory.OFF_TYPE valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null